# pyteamsnap package

## Subpackages

- pyteamsnap.models package
  - Module contents
    - `Availability`
      - `Availability.data`
      - `Availability.rel`
      - `Availability.type`
      - `Availability.version`
    - `AvailabilitySummary`
      - `AvailabilitySummary.data`
      - `AvailabilitySummary.rel`
      - `AvailabilitySummary.type`
      - `AvailabilitySummary.version`
    - `Event`
      - `Event.data`
      - `Event.rel`
      - `Event.type`
      - `Event.version`
    - `EventLineup`
      - `EventLineup.data`
      - `EventLineup.rel`
      - `EventLineup.template`
      - `EventLineup.type`
      - `EventLineup.version`
    - `EventLineupEntry`
      - `EventLineupEntry.data`
      - `EventLineupEntry.rel`
      - `EventLineupEntry.search()`
      - `EventLineupEntry.type`
      - `EventLineupEntry.version`
    - `Location`
      - `Location.data`
      - `Location.rel`
      - `Location.type`
      - `Location.version`
    - `Me`
      - `Me.rel`
      - `Me.type`
      - `Me.version`
    - `Member`
      - `Member.data`
      - `Member.rel`
      - `Member.type`
      - `Member.version`
    - `MemberStatistics`
      - `MemberStatistics.rel`
    - `Opponent`
      - `Opponent.data`
      - `Opponent.rel`
      - `Opponent.type`
      - `Opponent.version`
    - `Statistics`
      - `Statistics.data`
      - `Statistics.rel`
      - `Statistics.type`
      - `Statistics.version`
    - `Team`
      - `Team.data`
      - `Team.rel`
      - `Team.type`
      - `Team.version`
    - `User`
      - `User.data`
      - `User.rel`
      - `User.type`
      - `User.version`

## Submodules

## pyteamsnap.client module

class pyteamsnap.client.TeamSnap(token: str, *args, **kwargs)

  Bases: `APIClient`

  A client to access the TeamSnap API

  The TeamSnap API is a hypermedia JSON API, using Collection+JSON.

  base_url: str = 'https://api.teamsnap.com/v3'
  bulk_load(team_id, types: List[BaseApiObject], **kwargs) → List[TTeamSnap]
    Parameters

      - team_id –

      - types – List of items to fetch, in the form of BaseApiObject classes

      - kwargs – Additional filters passed into requested types by passing them in the url’s querystring as type__filter=value (i.e. ?event__start_date=2015-01-01). Any filter can be passed that is available on the search for the specified type.

    Returns

      Heterogeneous collection of the specified types for a specified team or teams.

  command(rel, command: str, **kwargs) → list
  delete_item(rel, id: Union[int, str]) → None
  get_item(rel: str, id: Union[int, str]) → dict
  link(link_name)
  classmethod parse_response(response: dict) → list
  post_item(rel: str, data: dict) → dict
  put_item(rel, id: Union[int, str], data: dict) → dict
  query(rel, query: str, **kwargs) → list

## Module contents

Top-level package for pyteamsnap.